### Method

# Gtk.ConstraintLayout.add_constraints_from_description

#### Declaration [src]

    GList*
    gtk_constraint_layout_add_constraints_from_description (
      GtkConstraintLayout* layout,
      const char* const* lines,
      gsize n_lines,
      int hspacing,
      int vspacing,
      GError** error,
      const char* first_view,
      ...
    )

#### Description [src]

Creates a list of constraints from a VFL description.

This function is a convenience wrapper around `gtk_constraint_layout_add_constraints_from_descriptionv()`, using variadic arguments to populate the view/target map.

#### Parameters

`lines` | An array of `char*`
| an array of Visual Format Language lines defining a set of constraints
| The length of the array is in the `n_lines` argument
| Ownership is not transferred to the callee
`n_lines` | `gsize`
| the number of lines
`hspacing` | `int`
| default horizontal spacing value, or -1 for the fallback value
`vspacing` | `int`
| default vertical spacing value, or -1 for the fallback value
`error` | `GError**`
| return location for a `GError`
| Ownership is not transferred to the callee
`first_view` | `const char*`
| the name of a view in the VFL description, followed by the `GtkConstraintTarget` to which it maps
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`...` | ``
| a `NULL`-terminated list of view names and `GtkConstraintTarget`s

#### Return value

Returns: A list of `GtkConstraint`
the list of `GtkConstraint`s that were added to the layout
Ownership of the container type is transferred to the caller